# Masto-DL

Masto-DL is a script to archive your Mastodon history, toot-by-toot.


## Present State

This script is in a very alpha state; it has been tested to not catch fire,
but it may eat your kitten and/or /usr/bin. Use with care.


## Using

`masto-dl init <directory>` will interactively configure the specified
directory, saving the configuration as JSON in `masto-dl.conf`. If the
directory is not specified, it will default to the current dir.

`masto-dl run <directory>` will begin downloading all your toots. Toots are
saved under the specified directory below a directory structure of
`year/month/toot-id.json`, eg. `2022/11/109385308583886341.json`.

*(NYI)* `masto-dl start <directory>` will start a live bot which will archive
your toots as they happen.


## Roadmap

* be smarter about where to look; cache and reuse the `oldest_id` and
  `newest_id` we've seen, so we can start looking in a reasonable place for
  newer and older toots
* more output formats - store toots as text or YAML


